package com.lightinit.hsdataplatformresdir.service.admin;

import com.lightinit.hsdataplatformresdir.entity.BaseExample;
import com.lightinit.hsdataplatformresdir.entity.ResourceDataWithBLOBs;
import com.lightinit.hsdataplatformresdir.model.admin.APIOpenViewModel;
import com.lightinit.hsdataplatformresdir.model.admin.DataCatelogResourceModel;
import com.lightinit.hsdataplatformresdir.model.admin.LoginUser;

import java.util.List;

public interface IDataCatelogResourceService {
    List<DataCatelogResourceModel> queryList(Long id, BaseExample.Page pager);

    long queryCount(Long id);

    APIOpenViewModel toDetail(Long id);

    ResourceDataWithBLOBs downloadById(Long id, LoginUser loginUser);
}
